<template>
    <div class="row">
        <div class="col-12 mb-2 text-end">
            <router-link :to='{name:"companyAdd"}' class="btn btn-primary">Create</router-link>
        </div>
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4>Company List</h4>
                </div>
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-bordered">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Name</th>
                                <th>Add Users</th>
                                <th>Edit</th>
                                <th>Delete</th>
                            </tr>
                            </thead>
                            <tbody v-if="companys.length > 0">
                            <tr v-for="(company,key) in companys" :key="key">
                                <td>{{ company.id }}</td>
                                <td>{{ company.name }}</td>
                                <td>
                                    <router-link :to='{name:"CompanyUserEdit",params:{id:company.id}}' class="btn btn-success">Add Users</router-link>
                                </td>
                                <td>
                                    <router-link :to='{name:"companyEdit",params:{id:company.id}}' class="btn btn-success">Edit</router-link>
                                </td>
                                <td>
                                    <button type="button" @click="deleteCompany(company.id)" class="btn btn-danger">Delete</button>
                                </td>
                            </tr>
                            </tbody>
                            <tbody v-else>
                            <tr>
                                <td colspan="5" align="center">No Companys Found.</td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name:"companys",
    data(){
        return {
            companys:[]
        }
    },
    mounted(){
        this.getCompanys()
    },
    methods:{
        async getCompanys(){
            await this.axios.get('/api/company').then(response=>{
                this.companys = response.data
            }).catch(error=>{
                console.log(error)
                this.companys = []
            })
        },
        deleteCompany(id){
            if(confirm("Are you sure to delete this company ?")){
                this.axios.delete(`/api/company/${id}`).then(response=>{
                    this.getCompanys()
                }).catch(error=>{
                    console.log(error)
                })
            }
        }
    }
}
</script>
